Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1335)
@@ -184,11 +184,11 @@
 			//Display.getCurrent() works because this code is run during the splash screen
 			String[] dialogButtonLabels = {"OK", "Cancel"};
 			CGUMessageDialog dialog = new CGUMessageDialog(Display.getCurrent().getActiveShell(), 
-					TXMUIMessages.CGU_TITLE, 
+					TXMUIMessages.termsOfService, 
 					IImageKeys.getImage(IImageKeys.TXM_ICON), 
-					TXMUIMessages.CGU_MESSAGE, 
+					TXMUIMessages.infpSupTXMIsPublishedUnderTheGNUGPL2LicenseAmpltInfaHrefEqualshttpsDDotwwwgnuorglicensesgpl20enhtmlSuphttpsDDotwwwgnuorglicensesgpl20enhtmlInfaSupAmpgt, 
 					IImageKeys.getImage(IImageKeys.TXM), 
-					TXMUIMessages.CGU_CHECKMESSAGE, 
+					TXMUIMessages.iAcceptTheLicenceAndIUndertakeToCiteTXMForAcknowledgingMyUseOfTXMInMyResearchWorkSeeTheCitationSectionOfTheInfhttpDDottextometrieenslyonfrspipphprubrique61SupPage, 
 					dialogButtonLabels, 0) {
 			};
 			boolean ret = (dialog.open() == MessageDialog.OK) && dialog.hasCheckBeenPressed();
@@ -211,7 +211,7 @@
 		try {			
 			// create the Toolbox initialization job
 			JobHandler jobhandler = new JobHandler(
-					TXMUIMessages.ApplicationWorkbenchAdvisor_1, true) {
+					TXMUIMessages.initializationOfThePlatform, true) {
 				@Override
 				protected IStatus run(final IProgressMonitor monitor) {
 					JobsTimer.start();
@@ -229,17 +229,17 @@
 
 						monitor.beginTask("Starting TXM", 100);
 
-						monitor.setTaskName(TXMUIMessages.ApplicationWorkbenchAdvisor_2);
-						Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_72);
+						monitor.setTaskName(TXMUIMessages.loadingTXMInstallPreferences);
+						Log.warning(TXMUIMessages.startJobDDotLoadInstallPreferences);
 						if (!checkInstallDirectory(this)) {
 							monitor.done();
-							System.err.println(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed);
+							System.err.println(TXMUIMessages.startupFailedPleaseCheckTXMPreferencesInTheFileSupPreferencesMenuOrContactTxmusersMailingListMenuDDotHelpSup);
 							return Status.CANCEL_STATUS;
 						}
 						monitor.worked(10);
 
-						monitor.setTaskName(TXMUIMessages.ApplicationWorkbenchAdvisor_3);
-						Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_73);
+						monitor.setTaskName(TXMUIMessages.checkingForExistingWorkspaceDirectory);
+						Log.warning(TXMUIMessages.startJobDDotCheckTXMHOME);
 						if (!checkTXMHOME(this, monitor)) {
 							monitor.done();
 							System.err.println("Errors occured during TXM post-installation.");
@@ -247,8 +247,8 @@
 						monitor.worked(30);
 
 						//INITIALIZE TBX AND UI
-						monitor.setTaskName(TXMUIMessages.ApplicationWorkbenchAdvisor_0);
-						Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_74);
+						monitor.setTaskName(TXMUIMessages.initializingPlatform);
+						Log.warning(TXMUIMessages.startJobDDotInitializeUI);
 						if (!initializeUI(this)) {
 							monitor.done();
 							return Status.CANCEL_STATUS;
@@ -276,7 +276,7 @@
 
 						monitor.done();
 					} catch (Exception e) {
-						System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_75+e);
+						System.out.println(TXMUIMessages.errorWhileLoadingTXMDDot+e);
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 					} catch(ThreadDeath td) {
 						System.out.println("TXM initialization has been canceled by user. Please restart TXM.");
@@ -292,8 +292,8 @@
 			startUpdateLookUpJob(false);
 
 		} catch (Exception e) {
-			Log.severe(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed+" "+e.getMessage());
-			System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed+" "+e.getMessage());
+			Log.severe(TXMUIMessages.startupFailedPleaseCheckTXMPreferencesInTheFileSupPreferencesMenuOrContactTxmusersMailingListMenuDDotHelpSup+" "+e.getMessage());
+			System.out.println(TXMUIMessages.startupFailedPleaseCheckTXMPreferencesInTheFileSupPreferencesMenuOrContactTxmusersMailingListMenuDDotHelpSup+" "+e.getMessage());
 			Log.printStackTrace(e);
 		}
 	}
@@ -326,7 +326,7 @@
 		// build the properties given to the Toolbox
 		String version =  Activator.getDefault().getBundle().getVersion().toString(); // "0.7.7.201412160925";
 		version = version.replaceAll("(.\\..\\..)\\.(....)(..)(..)(..)(..)", "$1 ($2-$3-$4 $5h$6)"); //$NON-NLS-1$ //$NON-NLS-2$
-		System.out.println(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_init, version));
+		System.out.println(NLS.bind(TXMUIMessages.startingUpP0, version));
 
 	}
 
@@ -334,7 +334,7 @@
 		PreferenceManager pm = PlatformUI.getWorkbench().getPreferenceManager();
 
 		// Remove RCP Update preference page
-		Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_21);
+		Log.warning(TXMUIMessages.removeUnusedEclipseRCPPreferencePage);
 		if (!TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER)) {
 			pm.remove("org.eclipse.equinox.internal.p2.ui.sdk.ProvisioningPreferencePage"); //$NON-NLS-1$
 
@@ -385,7 +385,7 @@
 				return;
 			}
 
-			Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_77);
+			Log.warning(TXMUIMessages.startingUpdateFetch);
 
 			Display.getDefault().syncExec(new Runnable() {
 				@Override
@@ -397,11 +397,11 @@
 							e.display = Display.getDefault();
 							handlerService.executeCommand(TXMUpdateHandler.ID, e);
 						} catch (Exception e) {
-							System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_78+e);
+							System.out.println(TXMUIMessages.errorWhileUpdatingTXMDDot+e);
 							Log.printStackTrace(e);
 						}
 					} else {
-						System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_79);
+						System.out.println(TXMUIMessages.errorWhileUpdatingTXMDDotNoHandlerServiceFound);
 					}
 				}
 			});
@@ -481,7 +481,7 @@
 	 */
 	private void InitializeLogger() {
 		IOConsole console = new IOConsole(
-				TXMUIMessages.ApplicationWorkbenchAdvisor_5, null);
+				TXMUIMessages.systemOutput, null);
 		ConsolePlugin.getDefault().getConsoleManager().addConsoles(
 				new IConsole[] { console });
 
@@ -589,7 +589,7 @@
 				return true;
 			}
 		} catch (Exception e) {
-			System.err.println(TXMUIMessages.ApplicationWorkbenchAdvisor_9+ " " +e.getLocalizedMessage());
+			System.err.println(TXMUIMessages.couldNotReadInstallPreferencesFile+ " " +e.getLocalizedMessage());
 			Log.printStackTrace(e);
 			return false;
 		}
@@ -679,10 +679,10 @@
 		Log.info("needToRestoreTXMHOME="+needToRestoreTXMHOME+" installPreferenceRestored="+installPreferenceRestored);
 		if (needToRestoreTXMHOME || installPreferenceRestored) {
 
-			System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_7);
+			System.out.println(TXMUIMessages.creatingTXMUserWorkingDirectory);
 
 			try {
-				Log.info(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_8, Toolbox.getInstallDirectory()));
+				Log.info(NLS.bind(TXMUIMessages.installPathDDotP0, Toolbox.getInstallDirectory()));
 
 				Log.info("Checking TXM user directory.");
 				if (Toolbox.getTxmHomePath().trim().isEmpty()) {
@@ -718,8 +718,8 @@
 				txmHomeRestored = true;
 			} catch (Exception e) {
 				org.txm.rcp.utils.Logger.printStackTrace(e);
-				System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_47+" "+e.getLocalizedMessage()); //$NON-NLS-1$
-				Log.severe(TXMUIMessages.ApplicationWorkbenchAdvisor_47+e.getLocalizedMessage());
+				System.out.println(TXMUIMessages.failedToBackupExistingCorporaDDot+" "+e.getLocalizedMessage()); //$NON-NLS-1$
+				Log.severe(TXMUIMessages.failedToBackupExistingCorporaDDot+e.getLocalizedMessage());
 				return false;
 			}
 
@@ -747,22 +747,22 @@
 				public void run() {
 					Display display = Display.getDefault();
 					Shell shell = display.getActiveShell();
-					go = MessageDialog.openConfirm(shell, TXMUIMessages.ApplicationWorkbenchAdvisor_28, NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_27, txmhomedir));
+					go = MessageDialog.openConfirm(shell, TXMUIMessages.workspaceDirectoryBackup, NLS.bind(TXMUIMessages.tXMWorkspaceDirectoryAlreadyExistsP0WouldYouLikeToReloadItsCorporaInYourNewTXM, txmhomedir));
 				}
 			});
 
 			if (go) {
-				monitor.setTaskName(TXMUIMessages.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_30, backup.getAbsolutePath()));
+				monitor.setTaskName(TXMUIMessages.bind(TXMUIMessages.movingCorporaToP0, backup.getAbsolutePath()));
 				backup.mkdir();
 
 				if (!backup.exists()) {
-					System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_34 + backup);
+					System.out.println(TXMUIMessages.couldNotCreateBackupDirectoryDDot + backup);
 					return;
 				}
 
 				//$NON-NLS-1$
 				if (oldbackup.exists()) {
-					Log.info(TXMUIMessages.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_16, oldbackup));
+					Log.info(TXMUIMessages.bind(TXMUIMessages.removingOldCorpusBackupDirectoryP0, oldbackup));
 					DeleteDir.deleteDirectory(oldbackup); // ]8)
 				}
 
@@ -772,7 +772,7 @@
 
 				if (corpDirs != null) {
 					Arrays.sort(corpDirs);
-					System.out.print(TXMUIMessages.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_30, backup.getAbsolutePath()));
+					System.out.print(TXMUIMessages.bind(TXMUIMessages.movingCorporaToP0, backup.getAbsolutePath()));
 					for (File corpusdir : corpDirs) {
 						File backCorpus = new File(backup, corpusdir.getName());
 						if (corpusdir.canRead() && corpusdir.isDirectory()) {
@@ -791,10 +791,10 @@
 					System.out.println();
 				}
 				if (moved.size() > 0) {
-					Log.info(TXMUIMessages.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_18,oldbackup,StringUtils.join(moved,", "))); //$NON-NLS-1$
+					Log.info(TXMUIMessages.bind(TXMUIMessages.corporaBackupedDDotP0,oldbackup,StringUtils.join(moved,", "))); //$NON-NLS-1$
 				}
 				if (failed.size() > 0) {
-					System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_44+failed+TXMUIMessages.ApplicationWorkbenchAdvisor_37+backup);
+					System.out.println(TXMUIMessages.failedToMoveCorpus+failed+TXMUIMessages.to+backup);
 				}
 			}
 		}
@@ -844,7 +844,7 @@
 //						try {
 //							Zip.decompress(zipFile.getAbsolutePath(), corporaDir.getAbsolutePath(), false);
 //						} catch (IOException e) {
-//							System.out.println(NLS.bind(TXMUIMessages.AddBase_31, e));
+//							System.out.println(NLS.bind(TXMUIMessages.couldNotUnzipBinaryCorpusDDot, e));
 //						}
 //					} else if (zipFile.isDirectory()) {
 //						//basedir = zipFile;
@@ -855,8 +855,8 @@
 ////						}
 ////						FileCopy.copyFiles(zipFile, basedir); // copy the sample corpus to load
 //					} else {
-//						System.out.println(NLS.bind(TXMUIMessages.AddBase_22, zipFile));
-//						System.out.println(TXMUIMessages.AddBase_25);
+//						System.out.println(NLS.bind(TXMUIMessages.thisFileIsNotATXMFileDDotP0, zipFile));
+//						System.out.println(TXMUIMessages.aBinaryCorpusIsATXMFileExtensionTxmOrZip);
 //						continue;
 //					}
 //					
@@ -1042,11 +1042,11 @@
 									// init with Eclipse preference stores
 									
 									if (Toolbox.initialize(TBXPreferences.class, monitor)) {
-										StatusLine.setMessage(TXMUIMessages.ApplicationWorkbenchAdvisor_ready);
-										System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_ready);
+										StatusLine.setMessage(TXMUIMessages.ready);
+										System.out.println(TXMUIMessages.ready);
 									} else {
-										StatusLine.setMessage(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed);
-										System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed);
+										StatusLine.setMessage(TXMUIMessages.startupFailedPleaseCheckTXMPreferencesInTheFileSupPreferencesMenuOrContactTxmusersMailingListMenuDDotHelpSup);
+										System.out.println(TXMUIMessages.startupFailedPleaseCheckTXMPreferencesInTheFileSupPreferencesMenuOrContactTxmusersMailingListMenuDDotHelpSup);
 										
 										monitor.done();
 										return;
@@ -1064,13 +1064,13 @@
 						}
 					});
 
-					Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_88);
+					Log.warning(TXMUIMessages.loadingViews);
 					RestartTXM.reloadViews(); // reload views
 
 					if (Toolbox.isInitialized()) {
-						StatusLine.setMessage(TXMUIMessages.ApplicationWorkbenchAdvisor_ready);
+						StatusLine.setMessage(TXMUIMessages.ready);
 					} else {
-						StatusLine.setMessage(TXMUIMessages.ApplicationWorkbenchAdvisor_init_failed);
+						StatusLine.setMessage(TXMUIMessages.startupFailedPleaseCheckTXMPreferencesInTheFileSupPreferencesMenuOrContactTxmusersMailingListMenuDDotHelpSup);
 					}
 
 					setDefaultTheme();
@@ -1124,4 +1124,4 @@
 		//TxmPreferences.dump();
 		return true;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 1335)
@@ -71,12 +71,12 @@
 		Map args = context.getArguments();
 
 		List<String> argsList = Arrays.asList((String[])(args.get("application.args")));
-		System.out.println(TXMUIMessages.Application_0+argsList);
+		System.out.println(TXMUIMessages.argsDDot+argsList);
 		if (argsList.contains("-log")) { //$NON-NLS-1$
-			System.out.println(TXMUIMessages.Application_1);
+			System.out.println(TXMUIMessages.logOptionDetected);
 			Log.setPrintInConsole(true);
 			Log.setLevel(Level.ALL);
-			Log.severe(TXMUIMessages.Application_2);
+			Log.severe(TXMUIMessages.forceLoggin);
 			Toolbox.setPreference(TBXPreferences.ADD_TECH_LOGS, true);
 			Toolbox.setPreference(TBXPreferences.LOG_LEVEL, "ALL"); //$NON-NLS-1$
 			Toolbox.setPreference(TBXPreferences.LOG_STACKTRACE, true);
@@ -119,9 +119,9 @@
 //			}
 		} else {
 			System.err.println("TXM must be launch with the argument '-run' to start."); //$NON-NLS-1$
-			System.err.println(TXMUIMessages.Application_4);
+			System.err.println(TXMUIMessages.thisFileIsNotMeantToRunTXMPleaseConsultTXMUserManual);
 
-			javax.swing.JOptionPane.showMessageDialog(null, TXMUIMessages.Application_4);
+			javax.swing.JOptionPane.showMessageDialog(null, TXMUIMessages.thisFileIsNotMeantToRunTXMPleaseConsultTXMUserManual);
 			return IApplication.EXIT_OK;
 		}
 		// test if Java 1.6 is installed
@@ -137,7 +137,7 @@
 		//display.addListener(SWT.OpenDocument, openDocProcessor);
 
 		//Lock the RCP workspace, thus there is only one TXM instance running
-		Log.warning(TXMUIMessages.Application_8);
+		Log.warning(TXMUIMessages.lockRCPWorkspace);
 		if (!Platform.getInstanceLocation().lock()){
 			//Shell shell = display.getActiveShell();
 			System.out.println("TXM is already running. Exiting...");
@@ -145,10 +145,10 @@
 		}
 
 		try {
-			Log.warning(TXMUIMessages.Application_9);
+			Log.warning(TXMUIMessages.activateProxyService);
 			activateProxyService();
 		} catch (Exception e) {
-			Log.warning(TXMUIMessages.Application_10+e);
+			Log.warning(TXMUIMessages.couldNotStartProxyConfigurationDDot+e);
 		}
 
 		try {
@@ -277,7 +277,7 @@
 //		try {
 //			preferences.save();
 //		} catch (IOException e) {
-//			System.err.println(NLS.bind(TXMUIMessages.FAILED_TO_SAVE_PREFERENCES, e));
+//			System.err.println(NLS.bind(TXMUIMessages.failedToSavePreferencesDDot, e));
 //			exit = true;
 //			return exit;
 //		}
@@ -286,4 +286,4 @@
 //			exit = true;
 //		return exit;
 //	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/AdapterFactory.java	(revision 1335)
@@ -78,7 +78,7 @@
 					firstCorpusDiag = false;
 					for (MainCorpus corpus : corpora) {
 						if (corpus.getProject() == null) {
-							System.out.println(NLS.bind(TXMUIMessages.AdapterFactory_0, corpus));
+							System.out.println(NLS.bind(TXMUIMessages.warningDDotTheCorpusP0IsCorruptedSomeCommandsWontWorkCorrectly, corpus));
 						}
 					}
 				}
@@ -240,4 +240,4 @@
 		return new Class[] { IWorkbenchAdapter.class };
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 1335)
@@ -185,7 +185,7 @@
 	@Override
 	public void createPartControl(Composite parent) {
 		treeViewer = new TreeViewer(parent, SWT.MULTI | SWT.H_SCROLL | SWT.V_SCROLL);
-		PlatformUI.getWorkbench().getHelpSystem().setHelp(treeViewer.getControl(), TXMUIMessages.CorporaView_0);
+		PlatformUI.getWorkbench().getHelpSystem().setHelp(treeViewer.getControl(), TXMUIMessages.corpus);
 		getSite().setSelectionProvider(treeViewer);
 		treeViewer.setColumnProperties(new String[]{"name"}); // mandatory to enable edit mode -> used to identify columns
 
@@ -591,4 +591,4 @@
 			corporaView.treeViewer.expandToLevel(obj, 1);
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/GroovyConsole.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/GroovyConsole.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/GroovyConsole.java	(revision 1335)
@@ -169,8 +169,8 @@
 					return;
 			}
 		} catch (Exception e) {
-			textArea.append(TXMUIMessages.GroovyConsole_4);
-			textArea.append(TXMUIMessages.GroovyConsole_5 + e);
+			textArea.append(TXMUIMessages.consoleReportsAnInternalError);
+			textArea.append(TXMUIMessages.theErrorIsDDot + e);
 		}
 	}
 
@@ -214,4 +214,4 @@
 
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/QueriesView.java	(revision 1335)
@@ -154,7 +154,7 @@
 		Button export = new Button(parent, SWT.PUSH);
 		export.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true,
 				false));
-		export.setText(TXMUIMessages.QueriesView_1);
+		export.setText(TXMUIMessages.exportAll);
 		export.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent arg0) {
@@ -167,7 +167,7 @@
 					dialog.setFilterPath(LastOpened.getFolder(ID));
 					dialog.setFileName(LastOpened.getFile(ID));
 				} else {
-					dialog.setFilterPath(new File(txmhome, TXMUIMessages.Explorer_3).getAbsolutePath());
+					dialog.setFilterPath(new File(txmhome, TXMUIMessages.tXM).getAbsolutePath());
 				}
 				String path = dialog.open();
 				if (path == null) return;
@@ -181,7 +181,7 @@
 				
 				try {
 					FileWriter writer = new FileWriter(output);
-					writer.write(TXMUIMessages.QueriesView_5);
+					writer.write(TXMUIMessages.queriesDDot);
 					for (MainCorpus b : CorpusManager.getCorpusManager().getCorpora()) {
 						writer.write(" " + b.getID() + "\n"); //$NON-NLS-1$ //$NON-NLS-2$
 						for (SavedQuery q : b.getQueriesLog()) {
@@ -288,7 +288,7 @@
 				return ((TXMResult) element).getName();
 			else if (element instanceof SavedQuery)
 				return ((SavedQuery) element).toString();
-			return NLS.bind(TXMUIMessages.QueriesView_10, element);
+			return NLS.bind(TXMUIMessages.errorWithElementP0, element);
 		}
 
 		/* (non-Javadoc)
@@ -374,4 +374,4 @@
 		public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/SummaryView.java	(revision 1335)
@@ -156,7 +156,7 @@
 				tv.expandToLevel(selectedProps.size()+1);
 			}
 		} catch (Exception e) {
-			System.out.println(TXMUIMessages.InternalCorpusView_0);
+			System.out.println(TXMUIMessages.errorWhileComputingCorpusSummary);
 			org.txm.rcp.utils.Logger.printStackTrace(e);
 		} 
 	}
@@ -309,7 +309,7 @@
 		//Button reload
 		Button openeditdialog = new Button(parent, SWT.PUSH);
 		openeditdialog.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
-		openeditdialog.setText(TXMUIMessages.InternalCorpusView_1);
+		openeditdialog.setText(TXMUIMessages.reload);
 		openeditdialog.addSelectionListener(new SelectionListener() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -348,7 +348,7 @@
 						}
 						attachedBrowserEditor.showPage(openedPage);
 					} else {
-						System.out.println(TXMUIMessages.SummaryView_0+node);
+						System.out.println(TXMUIMessages.noDefaultEditionPageFoundForElementDDot+node);
 					}
 
 					if (progresslistener != null) {
@@ -448,7 +448,7 @@
 				if (s == null || s.length() == 0) return ((Summary.TreeNode) element).toString();
 				return s;
 			}
-			return NLS.bind(TXMUIMessages.InternalCorpusView_2, element);
+			return NLS.bind(TXMUIMessages.errorDDotGetTextDDotP0, element);
 		}
 
 		/* (non-Javadoc)
@@ -528,4 +528,4 @@
 		public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
 		}
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/FileTreeContentProvider.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/FileTreeContentProvider.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/FileTreeContentProvider.java	(revision 1335)
@@ -56,7 +56,7 @@
 		p = null;
 		try {
 		p = Pattern.compile(regex);
-		} catch(Exception e) { System.out.println(TXMUIMessages.FileTreeContentProvider_1+regex+TXMUIMessages.FileTreeContentProvider_2+e);}
+		} catch(Exception e) { System.out.println(TXMUIMessages.fileExplorerDDotIncorrectPattern+regex+TXMUIMessages.eRROR+e);}
 		
 		Object[] kids = ((File) element).listFiles(new FileFilter() {	
 			@Override
@@ -102,7 +102,7 @@
 	public Object getParent(Object element) {
 		if (element instanceof File)
 			return ((File) element).getParentFile();
-		System.out.println(TXMUIMessages.FileTreeContentProvider_3+element+TXMUIMessages.FileTreeContentProvider_4);
+		System.out.println(TXMUIMessages.errorElementDDot+element+TXMUIMessages.FileTreeContentProvider_4);
 		return null;
 	}
 
@@ -119,4 +119,4 @@
 	@Override
 	public void inputChanged(Viewer viewer, Object old_input, Object new_input) {
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/Explorer.java	(revision 1335)
@@ -132,7 +132,7 @@
 		// its widgets
 		Button go_up = new Button(controls, SWT.NONE);
 		go_up.setText(TXMUIMessages.Explorer_4);
-		go_up.setToolTipText(TXMUIMessages.Explorer_1);
+		go_up.setToolTipText(TXMUIMessages.goToParentFolder);
 		go_up.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -147,7 +147,7 @@
 		if (currentPath == null)
 			currentPath = "/"; //$NON-NLS-1$
 		address.setText(currentPath);
-		address.setToolTipText(TXMUIMessages.Explorer_2);
+		address.setToolTipText(TXMUIMessages.goToTXMHome);
 		address.addKeyListener(new KeyAdapter() {
 			@Override
 			public void keyPressed(KeyEvent e) {
@@ -162,7 +162,7 @@
 
 		Button go = new Button(controls, SWT.NONE);
 		go.setText(TXMUIMessages.Explorer_5);
-		go.setToolTipText(TXMUIMessages.Explorer_6);
+		go.setToolTipText(TXMUIMessages.common_refresh);
 		go.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -175,7 +175,7 @@
 		
 		Button homeBtn = new Button(controls, SWT.NONE);
 		homeBtn.setText(TXMUIMessages.Explorer_7);
-		homeBtn.setToolTipText(TXMUIMessages.Explorer_8);
+		homeBtn.setToolTipText(TXMUIMessages.goToTXMHome_2);
 		homeBtn.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
@@ -311,7 +311,7 @@
 				selectedItem.equals(samples) ||
 				selectedItem.equals(xsl))
 		{
-			System.out.println(NLS.bind(TXMUIMessages.Explorer_0, selectedItem));
+			System.out.println(NLS.bind(TXMUIMessages.folderP0ShouldNotBeDeleted, selectedItem));
 			return false;
 		}
 		return false;
@@ -370,4 +370,4 @@
 
 	}
 
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 1335)
@@ -158,7 +158,7 @@
 		
 		Button refresh = new Button(controls, SWT.NONE);
 		refresh.setText(TXMUIMessages.Explorer_5);
-		refresh.setToolTipText(TXMUIMessages.Explorer_6);
+		refresh.setToolTipText(TXMUIMessages.common_refresh);
 		refresh.setLayoutData(new GridData());
 		refresh.addSelectionListener(new SelectionAdapter() {
 			@Override
@@ -171,15 +171,15 @@
 		
 		Button newMacro = new Button(controls, SWT.NONE);
 		newMacro.setLayoutData(new GridData());
-		newMacro.setText(TXMUIMessages.MacrosExplorer_0);
-		newMacro.setToolTipText(TXMUIMessages.MacrosExplorer_1);
+		newMacro.setText(TXMUIMessages.newMacro);
+		newMacro.setToolTipText(TXMUIMessages.createANewMacroFromATemplate);
 		newMacro.addSelectionListener(new SelectionAdapter() {
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				
 				currentRootDir.mkdirs();
 				
-				InputDialog dialog = new InputDialog(e.display.getActiveShell(), TXMUIMessages.CreateMacro_0, TXMUIMessages.CreateMacro_1, "", null); //$NON-NLS-1$
+				InputDialog dialog = new InputDialog(e.display.getActiveShell(), TXMUIMessages.macroName, TXMUIMessages.pleaseWriteTheMacroName, "", null); //$NON-NLS-1$
 				
 				dialog.open();
 				String name = dialog.getValue();
@@ -314,7 +314,7 @@
 				selectedItem.equals(samples) ||
 				selectedItem.equals(xsl))
 		{
-			System.out.println(NLS.bind(TXMUIMessages.Explorer_0, selectedItem));
+			System.out.println(NLS.bind(TXMUIMessages.folderP0ShouldNotBeDeleted, selectedItem));
 			return false;
 		}
 		return false;
@@ -366,4 +366,4 @@
 	public void setFocus() {
 		tv.getTree().setFocus();
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java	(revision 1335)
@@ -92,7 +92,7 @@
 		}
 
 		if (dialog.open() != null) {
-			StatusLine.setMessage(TXMUIMessages.ExportResult_0);
+			StatusLine.setMessage(TXMUIMessages.exportingResults);
 			String filepath = dialog.getFilterPath()
 					+ "/" + dialog.getFileName(); //$NON-NLS-1$
 			if (!(filepath.endsWith(extensions[0].substring(1))))
@@ -103,10 +103,10 @@
 			try {
 				outfile.createNewFile();
 			} catch (IOException e1) {
-				System.err.println(NLS.bind(TXMUIMessages.ExportResult_3, outfile, e1));
+				System.err.println(NLS.bind(TXMUIMessages.exportDDotCantCreateFileP0DDotP1, outfile, e1));
 			}
 			if (!outfile.canWrite()) {
-				System.out.println(NLS.bind(TXMUIMessages.ExportResult_5, outfile));
+				System.out.println(NLS.bind(TXMUIMessages.impossibleToReadP0, outfile));
 				return null;
 			}
 			if (!outfile.isFile()) {
@@ -120,12 +120,12 @@
 			String _txtseparator = TBXPreferences.getInstance().getString(TBXPreferences.EXPORT_TXT_SEPARATOR);
 			final String txtseparator = _txtseparator;
 
-			JobHandler jobhandler = new JobHandler(TXMUIMessages.ExportResult_0) {
+			JobHandler jobhandler = new JobHandler(TXMUIMessages.exportingResults) {
 				@Override
 				protected IStatus run(IProgressMonitor monitor) {
 					try {
 						this.runInit(monitor);
-						monitor.beginTask(TXMUIMessages.ExportResult_1, 100);
+						monitor.beginTask(TXMUIMessages.exporting, 100);
 
 						if (s instanceof TXMResult) {
 							((TXMResult)s).setCurrentMonitor(this); // Allows Functions to protect themselves from interruption
@@ -148,14 +148,14 @@
 
 							System.out.println(NLS.bind("", outfile.getAbsolutePath())); //$NON-NLS-1$
 						} else {
-							System.out.println(NLS.bind(TXMUIMessages.ExportResult_6, outfile.getAbsolutePath()));
+							System.out.println(NLS.bind(TXMUIMessages.failedToExportResultP0DDotP1, outfile.getAbsolutePath()));
 						}
 					} catch (ThreadDeath td) {
 						if (s instanceof TXMResult)
 							((TXMResult)s).clean();
 						return Status.CANCEL_STATUS;
 					} catch (Exception e) {
-						System.out.println(NLS.bind(TXMUIMessages.ExportResult_6, s, e));
+						System.out.println(NLS.bind(TXMUIMessages.failedToExportResultP0DDotP1, s, e));
 						org.txm.rcp.utils.Logger.printStackTrace(e);
 						return Status.CANCEL_STATUS;
 					} finally {
@@ -172,4 +172,4 @@
 		}
 		return null;
 	}
-}
+}
\ No newline at end of file
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java	(revision 1334)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportSVG.java	(revision 1335)
@@ -176,10 +176,10 @@
 		}
 
 		if (outfile.exists()) {
-			System.out.println(NLS.bind(TXMUIMessages.ExportSVG_1, outfile, ""));  //$NON-NLS-1$
+			System.out.println(NLS.bind(TXMUIMessages.p1FileSavedInP0, outfile, ""));  //$NON-NLS-1$
 		} else {
-			System.out.println(NLS.bind(TXMUIMessages.ExportSVG_3 + outfile, "")); //$NON-NLS-1$
+			System.out.println(NLS.bind(TXMUIMessages.failedToExportFileP0WithDeviceP1 + outfile, "")); //$NON-NLS-1$
 		}
 	}
 
-}
+}
\ No newline at end of file
